@mixin journal-entries-pf2e {
  font-family: var(--journal-serif);

  * + * {
    margin-top: var(--p-space, 1em);
  }

  > * {
    width: 94%;
    padding: 0;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0;
  }

  h1,
  h2,
  h3,
  h4 {
    margin-bottom: 0;
  }

  h1,
  h2 {
    font-family: var(--serif);
  }

  h1 {
    font-size: 3em;
    color: var(--primary);
    border: none;
    text-align: center;
    margin-top: var(--space-l);
    margin-bottom: var(--space-s);
    line-height: 1;
  }

  h2 {
    color: var(--secondary);
    font-size: 1.8em;
    border: none;
  }

  h3 {
    font-size: 1.4em;
    font-weight: 900;
    color: var(--primary);
  }

  h3,
  h4,
  h5,
  h6 {
    font-family: var(--sans-serif);
  }

  h4,
  h5,
  h6 {
    font-weight: 700;
    color: black;
    text-transform: uppercase;
  }

  h4 {
    font-size: 1.2em;
    border-bottom: 1px solid rgba(0, 0, 0, 0.8);
  }

  h5 {
    font-size: 1.1em;
  }

  :is(h2, h3, h5, h6) + p {
    margin-top: 0;
  }

  p {
    font-weight: 400;
  }

  blockquote {
    margin: 0;
    padding: 0;
    border: none;
    color: white;
    margin: var(--p-space) auto;
    margin-bottom: 0;
    padding: var(--space-l) var(--space-xl);
    padding-left: var(--space-2xl);
    background-color: var(--primary);
    font-weight: normal;
    border-radius: 3px;
    position: relative;
  }

  blockquote::before {
    font-family: "Font Awesome 5 Free";
    content: "\f27a";
    font-style: normal;
    font-weight: 900;
    position: absolute;
    height: 2em;
    width: 2em;
    color: var(--primary);
    border-radius: 3em;
    border: 2px solid var(--tertiary);
    background-color: white;
    display: grid;
    padding-left: 2px;
    padding-top: 2px;
    place-content: center;
    top: 1em;
    left: -1.2em;
  }

  a.entity-link,
  a.inline-roll {
    border: none;
    box-shadow: inset 0 0 0 2px rgba(255, 255, 255, 0.3), inset 0 0 0 1px rgba(0, 0, 0, 0.5);
    font-family: var(--sans-serif);
    font-size: 0.9em;

    i {
        font-size: 0.8em;
        color: var(--alt);
    }
  }

  ul,
  ol {
    margin-top: var(--space-s);
    padding-left: var(--space-m);

    li {
        padding-left: var(--space-s);
    }

    li + li {
        margin-top: 0;
    }
  }

  ul li::marker {
    content: "\25B8";
    color: var(--primary);
  }

  ol li::marker {
    font-weight: 700;
    color: var(--primary);
  }

  p + :is(ul, ol) {
    margin-top: revert;
  }

}

@mixin tinymce-system-specific {

  .inline-header {
    display: flex;
    align-items: center;
    gap: var(--space-l);
    background-color: var(--alt);
    font-family: var(--sans-serif);
    color: white;
    padding: 0;
    font-size: 0.8em;
    font-weight: 400;
    border: none;

    strong {
      display: inline-flex;
      padding: 0 var(--space-m);
      background-color: var(--primary);
      min-width: 15ch;
      border-right: 1px solid rgba(0, 0, 0, 0.4);
      box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.2);
      font-weight: 400;
    }

    + p {
      margin-top: var(--space-s);
    }
  }

  .info {
    background-color: var(--secondary);
    padding: var(--space-m);
    color: white;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
    border-radius: var(--radius);
    font-family: var(--sans-serif);
    padding-bottom: var(--space-m);

    > * + * {
        margin-top: var(--space-m);
    }

    & + * {
        margin-top: var(--space-xl);
    }

    & + & {
        margin-top: var(--space-s);
    }

    h4 {
        font-size: 0.9em;
        font-weight: 400;
        line-height: 1.2;
        font-family: var(--sans-serif);
        border-bottom: 1px solid rgba(0, 0, 0, 0.6);
        padding: var(--space-m) var(--space-l);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
        color: white;

        &::after {
            font-family: "Font Awesome 5 Free";
            content: "\f05a";
            font-weight: 900;
            margin-right: var(--space-s);
        }
    }

    p {
        font-size: 0.8em;
        margin: 0;
        padding: 0 var(--space-l);

        &:first-of-type {
            padding-top: var(--space-m);
            border-top: 1px solid rgba(255, 255, 255, 0.1);
        }
    }
  }

  .traits {
    display: flex;
    flex-wrap: wrap;
    gap: var(--space-s);
    padding: 0;

    p {
      display: inline-flex;
      font-size: 0.8em;
      font-family: var(--sans-serif-condensed);
      text-transform: uppercase;
      color: white;
      padding: var(--space-s) var(--space-m);
      background-color: var(--primary);
      margin: 0;
    }
  }

  .statblock {
    font-family: var(--sans-serif-condensed);
    color: black;
    line-height: 1.2;
    margin-bottom: var(--space-m);

    > * + * {
        margin-top: var(--space-s);
        margin-bottom: 0;
    }

    p {
        --indent: var(--space-l);
        margin-left: var(--indent);
        position: relative;

        strong:first-of-type {
            margin-left: calc(var(--indent) * -1);
        }

        .trait:first-of-type {
            margin-left: calc(var(--indent) * -1 - 2px);
        }
    }

    span.pf2-icon {
        line-height: 1;
    }

    h1,
    h2,
    h3,
    h4 {
        display: flex;
        align-items: baseline;
        justify-content: space-between;
        border-bottom: 1px solid black;
        text-transform: uppercase;
        letter-spacing: -0.05em;
        font-family: var(--sans-serif-condensed);
        font-weight: 700;
    }

    hr {
        border: none;
        border-bottom: 1px solid black;
    }
  }

  .message {
    font-family: var(--journal-cursive);
    font-size: 2em;
    line-height: 1.2;
  }
}
